Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act.impl
Class MetaABMActPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.metaabm.act.impl.MetaABMActPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, MetaABMActPackage

    public class MetaABMActPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements MetaABMActPackage

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.metaabm.act.MetaABMActPackage
`MetaABMActPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.metaabm.act.MetaABMActPackage
`AACCESSOR, AACCESSOR__ALL_SOURCES, AACCESSOR__ALL_TARGETS, AACCESSOR__ATTRIBUTE, AACCESSOR__GROUP, AACCESSOR__ID, AACCESSOR__LABEL, AACCESSOR__REFERENCE, AACCESSOR__ROOT_SELECTED, AACCESSOR__SELECTED, AACCESSOR__SOURCES, AACCESSOR__TARGETS, AACCESSOR_FEATURE_COUNT, AACT, AACT__ALL_SOURCES, AACT__ALL_TARGETS, AACT__GROUP, AACT__ID, AACT__LABEL, AACT__REFERENCE, AACT__ROOT_SELECTED, AACT__SELECTED, AACT__SOURCES, AACT__TARGETS, AACT_FEATURE_COUNT, AALL, AALL__ALL_SOURCES, AALL__ALL_TARGETS, AALL__GROUP, AALL__ID, AALL__LABEL, AALL__REFERENCE, AALL__ROOT_SELECTED, AALL__SELECTED, AALL__SOURCES, AALL__TARGETS, AALL_FEATURE_COUNT, AANY, AANY__ALL_SOURCES, AANY__ALL_TARGETS, AANY__GROUP, AANY__ID, AANY__LABEL, AANY__REFERENCE, AANY__ROOT_SELECTED, AANY__SELECTED, AANY__SOURCES, AANY__TARGETS, AANY_FEATURE_COUNT, ABUILD, ABUILD__AGENT, ABUILD__ALL_SOURCES, ABUILD__ALL_TARGETS, ABUILD__DESCRIPTION, ABUILD__FOR, ABUILD__GROUP, ABUILD__ID, ABUILD__LABEL, ABUILD__PLURAL_LABEL, ABUILD__REFERENCE, ABUILD__ROOT_SELECTED, ABUILD__SELECTED, ABUILD__SOURCES, ABUILD__SPACE, ABUILD__TARGETS, ABUILD_FEATURE_COUNT, ABUILD_GEOGRAPHY, ABUILD_GEOGRAPHY__AGENTS, ABUILD_GEOGRAPHY__ALL_SOURCES, ABUILD_GEOGRAPHY__ALL_TARGETS, ABUILD_GEOGRAPHY__ATTRIBUTES, ABUILD_GEOGRAPHY__DESCRIPTION, ABUILD_GEOGRAPHY__GROUP, ABUILD_GEOGRAPHY__ID, ABUILD_GEOGRAPHY__LABEL, ABUILD_GEOGRAPHY__PLURAL_LABEL, ABUILD_GEOGRAPHY__PROJECTION, ABUILD_GEOGRAPHY__REFERENCE, ABUILD_GEOGRAPHY__ROOT_SELECTED, ABUILD_GEOGRAPHY__SELECTED, ABUILD_GEOGRAPHY__SOURCES, ABUILD_GEOGRAPHY__TARGETS, ABUILD_GEOGRAPHY_FEATURE_COUNT, ABUILD_GRID, ABUILD_GRID__AGENTS, ABUILD_GRID__ALL_SOURCES, ABUILD_GRID__ALL_TARGETS, ABUILD_GRID__ATTRIBUTES, ABUILD_GRID__DESCRIPTION, ABUILD_GRID__FILL_AGENT, ABUILD_GRID__GROUP, ABUILD_GRID__ID, ABUILD_GRID__LABEL, ABUILD_GRID__PLURAL_LABEL, ABUILD_GRID__PROJECTION, ABUILD_GRID__REFERENCE, ABUILD_GRID__ROOT_SELECTED, ABUILD_GRID__SELECTED, ABUILD_GRID__SOURCES, ABUILD_GRID__SPACE_TYPE, ABUILD_GRID__TARGETS, ABUILD_GRID_FEATURE_COUNT, ABUILD_NETWORK, ABUILD_NETWORK__AGENTS, ABUILD_NETWORK__ALL_SOURCES, ABUILD_NETWORK__ALL_TARGETS, ABUILD_NETWORK__ATTRIBUTES, ABUILD_NETWORK__DESCRIPTION, ABUILD_NETWORK__GROUP, ABUILD_NETWORK__ID, ABUILD_NETWORK__LABEL, ABUILD_NETWORK__NETWORK_TYPE, ABUILD_NETWORK__PLURAL_LABEL, ABUILD_NETWORK__PROJECTION, ABUILD_NETWORK__REFERENCE, ABUILD_NETWORK__ROOT_SELECTED, ABUILD_NETWORK__SELECTED, ABUILD_NETWORK__SOURCES, ABUILD_NETWORK__TARGETS, ABUILD_NETWORK_FEATURE_COUNT, ABUILD_NETWORK_TYPES, ABUILD_PROJECTION, ABUILD_PROJECTION__AGENTS, ABUILD_PROJECTION__ALL_SOURCES, ABUILD_PROJECTION__ALL_TARGETS, ABUILD_PROJECTION__ATTRIBUTES, ABUILD_PROJECTION__DESCRIPTION, ABUILD_PROJECTION__GROUP, ABUILD_PROJECTION__ID, ABUILD_PROJECTION__LABEL, ABUILD_PROJECTION__PLURAL_LABEL, ABUILD_PROJECTION__PROJECTION, ABUILD_PROJECTION__REFERENCE, ABUILD_PROJECTION__ROOT_SELECTED, ABUILD_PROJECTION__SELECTED, ABUILD_PROJECTION__SOURCES, ABUILD_PROJECTION__TARGETS, ABUILD_PROJECTION_FEATURE_COUNT, ABUILD_SPACE, ABUILD_SPACE__AGENTS, ABUILD_SPACE__ALL_SOURCES, ABUILD_SPACE__ALL_TARGETS, ABUILD_SPACE__ATTRIBUTES, ABUILD_SPACE__DESCRIPTION, ABUILD_SPACE__GROUP, ABUILD_SPACE__ID, ABUILD_SPACE__LABEL, ABUILD_SPACE__PLURAL_LABEL, ABUILD_SPACE__PROJECTION, ABUILD_SPACE__REFERENCE, ABUILD_SPACE__ROOT_SELECTED, ABUILD_SPACE__SELECTED, ABUILD_SPACE__SOURCES, ABUILD_SPACE__SPACE_TYPE, ABUILD_SPACE__TARGETS, ABUILD_SPACE_FEATURE_COUNT, ABUILD_SPACE_TYPES, ACAUSE, ACAUSE__ALL_SOURCES, ACAUSE__ALL_TARGETS, ACAUSE__GROUP, ACAUSE__ID, ACAUSE__LABEL, ACAUSE__REFERENCE, ACAUSE__RESULT, ACAUSE__ROOT_SELECTED, ACAUSE__SELECTED, ACAUSE__SOURCES, ACAUSE__TARGETS, ACAUSE_FEATURE_COUNT, ACOMMAND, ACOMMAND__ALL_SOURCES, ACOMMAND__ALL_TARGETS, ACOMMAND__GROUP, ACOMMAND__ID, ACOMMAND__LABEL, ACOMMAND__REFERENCE, ACOMMAND__ROOT_SELECTED, ACOMMAND__SELECTED, ACOMMAND__SOURCES, ACOMMAND__TARGETS, ACOMMAND_FEATURE_COUNT, ACONNECT, ACONNECT__ALL_SOURCES, ACONNECT__ALL_TARGETS, ACONNECT__DESTINATION, ACONNECT__DIRECTED, ACONNECT__GROUP, ACONNECT__ID, ACONNECT__LABEL, ACONNECT__REFERENCE, ACONNECT__ROOT_SELECTED, ACONNECT__SELECTED, ACONNECT__SOURCES, ACONNECT__TARGETS, ACONNECT__WITHIN, ACONNECT_FEATURE_COUNT, ACONTROL, ACONTROL__ALL_SOURCES, ACONTROL__ALL_TARGETS, ACONTROL__GROUP, ACONTROL__ID, ACONTROL__LABEL, ACONTROL__REFERENCE, ACONTROL__ROOT_SELECTED, ACONTROL__SELECTED, ACONTROL__SOURCES, ACONTROL__TARGETS, ACONTROL_FEATURE_COUNT, ACREATE_AGENTS, ACREATE_AGENTS__AGENT, ACREATE_AGENTS__AGENT_COUNT, ACREATE_AGENTS__ALL_SOURCES, ACREATE_AGENTS__ALL_TARGETS, ACREATE_AGENTS__FOR, ACREATE_AGENTS__GROUP, ACREATE_AGENTS__ID, ACREATE_AGENTS__LABEL, ACREATE_AGENTS__REFERENCE, ACREATE_AGENTS__ROOT_SELECTED, ACREATE_AGENTS__SELECTED, ACREATE_AGENTS__SOURCES, ACREATE_AGENTS__SPACE, ACREATE_AGENTS__TARGETS, ACREATE_AGENTS_FEATURE_COUNT, ACREATE_SHAPED_AGENTS, ACREATE_SHAPED_AGENTS__AGENT, ACREATE_SHAPED_AGENTS__AGENT_COUNT, ACREATE_SHAPED_AGENTS__ALL_SOURCES, ACREATE_SHAPED_AGENTS__ALL_TARGETS, ACREATE_SHAPED_AGENTS__FOR, ACREATE_SHAPED_AGENTS__GROUP, ACREATE_SHAPED_AGENTS__ID, ACREATE_SHAPED_AGENTS__LABEL, ACREATE_SHAPED_AGENTS__REFERENCE, ACREATE_SHAPED_AGENTS__ROOT_SELECTED, ACREATE_SHAPED_AGENTS__SELECTED, ACREATE_SHAPED_AGENTS__SHAPE, ACREATE_SHAPED_AGENTS__SOURCES, ACREATE_SHAPED_AGENTS__SPACE, ACREATE_SHAPED_AGENTS__TARGETS, ACREATE_SHAPED_AGENTS_FEATURE_COUNT, ADERIVE, ADERIVE__AGENT, ADERIVE__ALL_SOURCES, ADERIVE__ALL_TARGETS, ADERIVE__ATTRIBUTE, ADERIVE__FOR, ADERIVE__GROUP, ADERIVE__ID, ADERIVE__LABEL, ADERIVE__REFERENCE, ADERIVE__ROOT_SELECTED, ADERIVE__SELECTED, ADERIVE__SOURCES, ADERIVE__SPACE, ADERIVE__TARGETS, ADERIVE_FEATURE_COUNT, ADIE, ADIE__ALL_SOURCES, ADIE__ALL_TARGETS, ADIE__DESTINATION, ADIE__GROUP, ADIE__ID, ADIE__LABEL, ADIE__REFERENCE, ADIE__ROOT_SELECTED, ADIE__SELECTED, ADIE__SOURCES, ADIE__TARGETS, ADIE_FEATURE_COUNT, ADIFFUSE, ADIFFUSE__AGENT, ADIFFUSE__ALL_SOURCES, ADIFFUSE__ALL_TARGETS, ADIFFUSE__DIFFUSED, ADIFFUSE__DIFFUSION_RATE, ADIFFUSE__EVAPORATION_RATE, ADIFFUSE__FOR, ADIFFUSE__GROUP, ADIFFUSE__ID, ADIFFUSE__LABEL, ADIFFUSE__REFERENCE, ADIFFUSE__ROOT_SELECTED, ADIFFUSE__SELECTED, ADIFFUSE__SOURCES, ADIFFUSE__SPACE, ADIFFUSE__TARGETS, ADIFFUSE_FEATURE_COUNT, ADISCONNECT, ADISCONNECT__ALL_SOURCES, ADISCONNECT__ALL_TARGETS, ADISCONNECT__DESTINATION, ADISCONNECT__GROUP, ADISCONNECT__ID, ADISCONNECT__LABEL, ADISCONNECT__REFERENCE, ADISCONNECT__ROOT_SELECTED, ADISCONNECT__SELECTED, ADISCONNECT__SOURCES, ADISCONNECT__TARGETS, ADISCONNECT__WITHIN, ADISCONNECT_FEATURE_COUNT, AEVALUATE, AEVALUATE__ACCESSORS, AEVALUATE__ALL_SOURCES, AEVALUATE__ALL_TARGETS, AEVALUATE__AVAILABLE_TYPES, AEVALUATE__FUNCTION, AEVALUATE__GROUP, AEVALUATE__ID, AEVALUATE__INPUTS, AEVALUATE__LABEL, AEVALUATE__REFERENCE, AEVALUATE__ROOT_SELECTED, AEVALUATE__SELECTED, AEVALUATE__SOURCES, AEVALUATE__TARGETS, AEVALUATE_FEATURE_COUNT, AGROUP, AGROUP__ALL_SOURCES, AGROUP__ALL_TARGETS, AGROUP__DESCRIPTION, AGROUP__GROUP, AGROUP__ID, AGROUP__LABEL, AGROUP__MEMBERS, AGROUP__PLURAL_LABEL, AGROUP__REFERENCE, AGROUP__ROOT_SELECTED, AGROUP__ROOTS, AGROUP__SELECTED, AGROUP__SOURCES, AGROUP__TARGETS, AGROUP_FEATURE_COUNT, AINITIALIZE, AINITIALIZE__AGENT, AINITIALIZE__ALL_SOURCES, AINITIALIZE__ALL_TARGETS, AINITIALIZE__DESCRIPTION, AINITIALIZE__FOR, AINITIALIZE__GROUP, AINITIALIZE__ID, AINITIALIZE__LABEL, AINITIALIZE__PLURAL_LABEL, AINITIALIZE__REFERENCE, AINITIALIZE__ROOT_SELECTED, AINITIALIZE__SELECTED, AINITIALIZE__SOURCES, AINITIALIZE__SPACE, AINITIALIZE__TARGETS, AINITIALIZE_FEATURE_COUNT, AINPUT, AINPUT__LITERAL, AINPUT__SELECTED, AINPUT__SINK, AINPUT__VALUE, AINPUT_FEATURE_COUNT, ALEAVE, ALEAVE__ALL_SOURCES, ALEAVE__ALL_TARGETS, ALEAVE__DESTINATION, ALEAVE__GROUP, ALEAVE__ID, ALEAVE__LABEL, ALEAVE__REFERENCE, ALEAVE__ROOT_SELECTED, ALEAVE__SELECTED, ALEAVE__SOURCES, ALEAVE__TARGETS, ALEAVE_FEATURE_COUNT, ALITERAL, ALITERAL__ACCESSORS, ALITERAL__AVAILABLE_TYPES, ALITERAL__ID, ALITERAL__LABEL, ALITERAL__VALUE_LITERAL, ALITERAL_FEATURE_COUNT, ALOAD_AGENTS, ALOAD_AGENTS__AGENT, ALOAD_AGENTS__AGENT_COUNT, ALOAD_AGENTS__ALL_SOURCES, ALOAD_AGENTS__ALL_TARGETS, ALOAD_AGENTS__FOR, ALOAD_AGENTS__GROUP, ALOAD_AGENTS__ID, ALOAD_AGENTS__LABEL, ALOAD_AGENTS__REFERENCE, ALOAD_AGENTS__ROOT_SELECTED, ALOAD_AGENTS__SELECTED, ALOAD_AGENTS__SOURCE_URL, ALOAD_AGENTS__SOURCES, ALOAD_AGENTS__SPACE, ALOAD_AGENTS__TARGETS, ALOAD_AGENTS_FEATURE_COUNT, ALOAD_SHAPED_AGENTS, ALOAD_SHAPED_AGENTS__AGENT, ALOAD_SHAPED_AGENTS__AGENT_COUNT, ALOAD_SHAPED_AGENTS__ALL_SOURCES, ALOAD_SHAPED_AGENTS__ALL_TARGETS, ALOAD_SHAPED_AGENTS__FOR, ALOAD_SHAPED_AGENTS__GROUP, ALOAD_SHAPED_AGENTS__ID, ALOAD_SHAPED_AGENTS__LABEL, ALOAD_SHAPED_AGENTS__REFERENCE, ALOAD_SHAPED_AGENTS__ROOT_SELECTED, ALOAD_SHAPED_AGENTS__SELECTED, ALOAD_SHAPED_AGENTS__SHAPE, ALOAD_SHAPED_AGENTS__SOURCE_URL, ALOAD_SHAPED_AGENTS__SOURCES, ALOAD_SHAPED_AGENTS__SPACE, ALOAD_SHAPED_AGENTS__TARGETS, ALOAD_SHAPED_AGENTS_FEATURE_COUNT, ALOGIC, ALOGIC__ALL_SOURCES, ALOGIC__ALL_TARGETS, ALOGIC__GROUP, ALOGIC__ID, ALOGIC__LABEL, ALOGIC__REFERENCE, ALOGIC__ROOT_SELECTED, ALOGIC__SELECTED, ALOGIC__SOURCES, ALOGIC__TARGETS, ALOGIC_FEATURE_COUNT, AMETHOD, AMETHOD__ALL_SOURCES, AMETHOD__ALL_TARGETS, AMETHOD__BODY, AMETHOD__DESCRIPTION, AMETHOD__GENERATE, AMETHOD__GROUP, AMETHOD__ID, AMETHOD__LABEL, AMETHOD__PLURAL_LABEL, AMETHOD__REFERENCE, AMETHOD__ROOT_SELECTED, AMETHOD__SELECTED, AMETHOD__SOURCES, AMETHOD__TARGETS, AMETHOD_FEATURE_COUNT, AMOVE, AMOVE__ALL_SOURCES, AMOVE__ALL_TARGETS, AMOVE__DESTINATION, AMOVE__GROUP, AMOVE__ID, AMOVE__LABEL, AMOVE__REFERENCE, AMOVE__ROOT_SELECTED, AMOVE__SELECTED, AMOVE__SOURCES, AMOVE__TARGETS, AMOVE_FEATURE_COUNT, AMULTI_VALUE, AMULTI_VALUE__ACCESSORS, AMULTI_VALUE__AVAILABLE_TYPES, AMULTI_VALUE__ID, AMULTI_VALUE__LABEL, AMULTI_VALUE__VALUE_LITERAL, AMULTI_VALUE__VALUES, AMULTI_VALUE_FEATURE_COUNT, ANETWORK, ANETWORK__ALL_SOURCES, ANETWORK__ALL_TARGETS, ANETWORK__DESTINATION, ANETWORK__GROUP, ANETWORK__ID, ANETWORK__LABEL, ANETWORK__REFERENCE, ANETWORK__ROOT_SELECTED, ANETWORK__SELECTED, ANETWORK__SOURCES, ANETWORK__TARGETS, ANETWORK__WITHIN, ANETWORK_FEATURE_COUNT, ANONE, ANONE__ALL_SOURCES, ANONE__ALL_TARGETS, ANONE__GROUP, ANONE__ID, ANONE__LABEL, ANONE__REFERENCE, ANONE__ROOT_SELECTED, ANONE__SELECTED, ANONE__SOURCES, ANONE__TARGETS, ANONE_FEATURE_COUNT, APERFORM, APERFORM__AGENT, APERFORM__ALL_SOURCES, APERFORM__ALL_TARGETS, APERFORM__FOR, APERFORM__GROUP, APERFORM__ID, APERFORM__LABEL, APERFORM__REFERENCE, APERFORM__ROOT_SELECTED, APERFORM__SELECTED, APERFORM__SOURCES, APERFORM__SPACE, APERFORM__TARGETS, APERFORM_FEATURE_COUNT, AQUERY, AQUERY__ACCESSORS, AQUERY__ALL_SOURCES, AQUERY__ALL_TARGETS, AQUERY__AVAILABLE_TYPES, AQUERY__FUNCTION, AQUERY__GROUP, AQUERY__ID, AQUERY__INPUTS, AQUERY__LABEL, AQUERY__REFERENCE, AQUERY__ROOT_SELECTED, AQUERY__SELECTED, AQUERY__SOURCES, AQUERY__TARGETS, AQUERY_FEATURE_COUNT, AREPLACE, AREPLACE__ALL_SOURCES, AREPLACE__ALL_TARGETS, AREPLACE__DESTINATION, AREPLACE__DIRECTED, AREPLACE__GROUP, AREPLACE__ID, AREPLACE__LABEL, AREPLACE__REFERENCE, AREPLACE__ROOT_SELECTED, AREPLACE__SELECTED, AREPLACE__SOURCES, AREPLACE__TARGETS, AREPLACE__WITHIN, AREPLACE_FEATURE_COUNT, AROOT, AROOT__AGENT, AROOT__ALL_SOURCES, AROOT__ALL_TARGETS, AROOT__FOR, AROOT__GROUP, AROOT__ID, AROOT__LABEL, AROOT__REFERENCE, AROOT__ROOT_SELECTED, AROOT__SELECTED, AROOT__SOURCES, AROOT__SPACE, AROOT__TARGETS, AROOT_FEATURE_COUNT, ARULE, ARULE__AGENT, ARULE__ALL_SOURCES, ARULE__ALL_TARGETS, ARULE__DESCRIPTION, ARULE__FOR, ARULE__GROUP, ARULE__ID, ARULE__LABEL, ARULE__PLURAL_LABEL, ARULE__REFERENCE, ARULE__ROOT_SELECTED, ARULE__SELECTED, ARULE__SOURCES, ARULE__SPACE, ARULE__TARGETS, ARULE_FEATURE_COUNT, ASCHEDULE, ASCHEDULE__AGENT, ASCHEDULE__ALL_SOURCES, ASCHEDULE__ALL_TARGETS, ASCHEDULE__DESCRIPTION, ASCHEDULE__FOR, ASCHEDULE__GROUP, ASCHEDULE__ID, ASCHEDULE__INTERVAL, ASCHEDULE__LABEL, ASCHEDULE__PICK, ASCHEDULE__PLURAL_LABEL, ASCHEDULE__PRIORITY, ASCHEDULE__REFERENCE, ASCHEDULE__ROOT_SELECTED, ASCHEDULE__SELECTED, ASCHEDULE__SOURCES, ASCHEDULE__SPACE, ASCHEDULE__START, ASCHEDULE__TARGETS, ASCHEDULE_FEATURE_COUNT, ASELECT, ASELECT__AGENT, ASELECT__ALL_SOURCES, ASELECT__ALL_TARGETS, ASELECT__FOR, ASELECT__GROUP, ASELECT__ID, ASELECT__LABEL, ASELECT__REFERENCE, ASELECT__ROOT_SELECTED, ASELECT__SELECTED, ASELECT__SOURCES, ASELECT__SPACE, ASELECT__TARGETS, ASELECT_FEATURE_COUNT, ASELECT_TYPES, ASET, ASET__ALL_SOURCES, ASET__ALL_TARGETS, ASET__ATTRIBUTE, ASET__GROUP, ASET__ID, ASET__LABEL, ASET__PARAMETER, ASET__REFERENCE, ASET__ROOT_SELECTED, ASET__SELECTED, ASET__SOURCES, ASET__TARGETS, ASET_FEATURE_COUNT, ASHAPED, ASHAPED__SHAPE, ASHAPED_FEATURE_COUNT, ASINK, ASINK__ACCESSORS, ASINK__ALL_SOURCES, ASINK__ALL_TARGETS, ASINK__AVAILABLE_TYPES, ASINK__FUNCTION, ASINK__GROUP, ASINK__ID, ASINK__INPUTS, ASINK__LABEL, ASINK__REFERENCE, ASINK__ROOT_SELECTED, ASINK__SELECTED, ASINK__SOURCES, ASINK__TARGETS, ASINK_FEATURE_COUNT, ATRANSFORM, ATRANSFORM__ALL_SOURCES, ATRANSFORM__ALL_TARGETS, ATRANSFORM__DESTINATION, ATRANSFORM__GROUP, ATRANSFORM__ID, ATRANSFORM__LABEL, ATRANSFORM__REFERENCE, ATRANSFORM__ROOT_SELECTED, ATRANSFORM__SELECTED, ATRANSFORM__SOURCES, ATRANSFORM__TARGETS, ATRANSFORM_FEATURE_COUNT, AWATCH, AWATCH__AGENT, AWATCH__ALL_SOURCES, AWATCH__ALL_TARGETS, AWATCH__ATTRIBUTE, AWATCH__FOR, AWATCH__GROUP, AWATCH__ID, AWATCH__LABEL, AWATCH__REFERENCE, AWATCH__ROOT_SELECTED, AWATCH__SELECTED, AWATCH__SOURCES, AWATCH__SPACE, AWATCH__TARGETS, AWATCH_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` | `fixInstanceClass(org.eclipse.emf.ecore.EClassifier eClassifier)` Sets the instance class on the given classifier.
`void` | `fixPackageContents()` Fixes up the loaded package, to make it appear as if it had been programmatically built.
`org.eclipse.emf.ecore.EReference` | `getAAccessor_Attribute()`
`org.eclipse.emf.ecore.EClass` | `getAAccessor()`
`org.eclipse.emf.ecore.EReference` | `getAAct_AllSources()`
`org.eclipse.emf.ecore.EReference` | `getAAct_AllTargets()`
`org.eclipse.emf.ecore.EReference` | `getAAct_Group()`
`org.eclipse.emf.ecore.EReference` | `getAAct_Reference()`
`org.eclipse.emf.ecore.EReference` | `getAAct_RootSelected()`
`org.eclipse.emf.ecore.EReference` | `getAAct_Selected()`
`org.eclipse.emf.ecore.EReference` | `getAAct_Sources()`
`org.eclipse.emf.ecore.EReference` | `getAAct_Targets()`
`org.eclipse.emf.ecore.EClass` | `getAAct()`
`org.eclipse.emf.ecore.EClass` | `getAAll()`
`org.eclipse.emf.ecore.EClass` | `getAAny()`
`org.eclipse.emf.ecore.EClass` | `getABuild()`
`org.eclipse.emf.ecore.EClass` | `getABuildGeography()`
`org.eclipse.emf.ecore.EReference` | `getABuildGrid_FillAgent()`
`org.eclipse.emf.ecore.EClass` | `getABuildGrid()`
`org.eclipse.emf.ecore.EAttribute` | `getABuildNetwork_NetworkType()`
`org.eclipse.emf.ecore.EClass` | `getABuildNetwork()`
`org.eclipse.emf.ecore.EEnum` | `getABuildNetworkTypes()`
`org.eclipse.emf.ecore.EReference` | `getABuildProjection_Agents()`
`org.eclipse.emf.ecore.EReference` | `getABuildProjection_Attributes()`
`org.eclipse.emf.ecore.EReference` | `getABuildProjection_Projection()`
`org.eclipse.emf.ecore.EClass` | `getABuildProjection()`
`org.eclipse.emf.ecore.EAttribute` | `getABuildSpace_SpaceType()`
`org.eclipse.emf.ecore.EClass` | `getABuildSpace()`
`org.eclipse.emf.ecore.EEnum` | `getABuildSpaceTypes()`
`org.eclipse.emf.ecore.EReference` | `getACause_Result()`
`org.eclipse.emf.ecore.EClass` | `getACause()`
`org.eclipse.emf.ecore.EClass` | `getACommand()`
`org.eclipse.emf.ecore.EAttribute` | `getAConnect_Directed()`
`org.eclipse.emf.ecore.EClass` | `getAConnect()`
`org.eclipse.emf.ecore.EClass` | `getAControl()`
`org.eclipse.emf.ecore.EReference` | `getACreateAgents_AgentCount()`
`org.eclipse.emf.ecore.EClass` | `getACreateAgents()`
`org.eclipse.emf.ecore.EClass` | `getACreateShapedAgents()`
`org.eclipse.emf.ecore.EClass` | `getADerive()`
`org.eclipse.emf.ecore.EClass` | `getADie()`
`org.eclipse.emf.ecore.EReference` | `getADiffuse_Diffused()`
`org.eclipse.emf.ecore.EReference` | `getADiffuse_DiffusionRate()`
`org.eclipse.emf.ecore.EReference` | `getADiffuse_EvaporationRate()`
`org.eclipse.emf.ecore.EClass` | `getADiffuse()`
`org.eclipse.emf.ecore.EClass` | `getADisconnect()`
`org.eclipse.emf.ecore.EClass` | `getAEvaluate()`
`org.eclipse.emf.ecore.EReference` | `getAGroup_Members()`
`org.eclipse.emf.ecore.EReference` | `getAGroup_Roots()`
`org.eclipse.emf.ecore.EClass` | `getAGroup()`
`org.eclipse.emf.ecore.EClass` | `getAInitialize()`
`org.eclipse.emf.ecore.EReference` | `getAInput_Literal()`
`org.eclipse.emf.ecore.EReference` | `getAInput_Selected()`
`org.eclipse.emf.ecore.EReference` | `getAInput_Sink()`
`org.eclipse.emf.ecore.EReference` | `getAInput_Value()`
`org.eclipse.emf.ecore.EClass` | `getAInput()`
`org.eclipse.emf.ecore.EClass` | `getALeave()`
`org.eclipse.emf.ecore.EAttribute` | `getALiteral_ValueLiteral()`
`org.eclipse.emf.ecore.EClass` | `getALiteral()`
`org.eclipse.emf.ecore.EAttribute` | `getALoadAgents_SourceURL()`
`org.eclipse.emf.ecore.EClass` | `getALoadAgents()`
`org.eclipse.emf.ecore.EClass` | `getALoadShapedAgents()`
`org.eclipse.emf.ecore.EClass` | `getALogic()`
`org.eclipse.emf.ecore.EAttribute` | `getAMethod_Body()`
`org.eclipse.emf.ecore.EAttribute` | `getAMethod_Generate()`
`org.eclipse.emf.ecore.EClass` | `getAMethod()`
`org.eclipse.emf.ecore.EClass` | `getAMove()`
`org.eclipse.emf.ecore.EReference` | `getAMultiValue_Values()`
`org.eclipse.emf.ecore.EClass` | `getAMultiValue()`
`org.eclipse.emf.ecore.EReference` | `getANetwork_Within()`
`org.eclipse.emf.ecore.EClass` | `getANetwork()`
`org.eclipse.emf.ecore.EClass` | `getANone()`
`org.eclipse.emf.ecore.EClass` | `getAPerform()`
`org.eclipse.emf.ecore.EClass` | `getAQuery()`
`org.eclipse.emf.ecore.EClass` | `getAReplace()`
`org.eclipse.emf.ecore.EClass` | `getARoot()`
`org.eclipse.emf.ecore.EClass` | `getARule()`
`org.eclipse.emf.ecore.EAttribute` | `getASchedule_Interval()`
`org.eclipse.emf.ecore.EAttribute` | `getASchedule_Pick()`
`org.eclipse.emf.ecore.EAttribute` | `getASchedule_Priority()`
`org.eclipse.emf.ecore.EAttribute` | `getASchedule_Start()`
`org.eclipse.emf.ecore.EClass` | `getASchedule()`
`org.eclipse.emf.ecore.EReference` | `getASelect_Agent()`
`org.eclipse.emf.ecore.EAttribute` | `getASelect_For()`
`org.eclipse.emf.ecore.EReference` | `getASelect_Space()`
`org.eclipse.emf.ecore.EClass` | `getASelect()`
`org.eclipse.emf.ecore.EEnum` | `getASelectTypes()`
`org.eclipse.emf.ecore.EReference` | `getASet_Parameter()`
`org.eclipse.emf.ecore.EClass` | `getASet()`
`org.eclipse.emf.ecore.EAttribute` | `getAShaped_Shape()`
`org.eclipse.emf.ecore.EClass` | `getAShaped()`
`org.eclipse.emf.ecore.EReference` | `getASink_Function()`
`org.eclipse.emf.ecore.EReference` | `getASink_Inputs()`
`org.eclipse.emf.ecore.EClass` | `getASink()`
`org.eclipse.emf.ecore.EReference` | `getATransform_Destination()`
`org.eclipse.emf.ecore.EClass` | `getATransform()`
`org.eclipse.emf.ecore.EClass` | `getAWatch()`
`MetaABMActFactory` | `getMetaABMActFactory()`
`static MetaABMActPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static MetaABMActPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `MetaABMActPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `MetaABMActPackage.eNS_URI`

### getAInput

    public org.eclipse.emf.ecore.EClass getAInput()

  Specified by:
    `getAInput` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AInput'.
  See Also:
    `AInput`

### getAInput_Sink

    public org.eclipse.emf.ecore.EReference getAInput_Sink()

  Specified by:
    `getAInput_Sink` in interface `MetaABMActPackage`
  Returns:
    the meta object for the container reference 'Sink'.
  See Also:
    `AInput.getSink()`, `MetaABMActPackage.getAInput()`

### getAInput_Selected

    public org.eclipse.emf.ecore.EReference getAInput_Selected()

  Specified by:
    `getAInput_Selected` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Selected'.
  See Also:
    `AInput.getSelected()`, `MetaABMActPackage.getAInput()`

### getAInput_Literal

    public org.eclipse.emf.ecore.EReference getAInput_Literal()

  Specified by:
    `getAInput_Literal` in interface `MetaABMActPackage`
  Returns:
    the meta object for the containment reference 'Literal'.
  See Also:
    `AInput.getLiteral()`, `MetaABMActPackage.getAInput()`

### getAInput_Value

    public org.eclipse.emf.ecore.EReference getAInput_Value()

  Specified by:
    `getAInput_Value` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Value'.
  See Also:
    `AInput.getValue()`, `MetaABMActPackage.getAInput()`

### getALiteral

    public org.eclipse.emf.ecore.EClass getALiteral()

  Specified by:
    `getALiteral` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ALiteral'.
  See Also:
    `ALiteral`

### getALiteral_ValueLiteral

    public org.eclipse.emf.ecore.EAttribute getALiteral_ValueLiteral()

  Specified by:
    `getALiteral_ValueLiteral` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Value Literal'.
  See Also:
    `ALiteral.getValueLiteral()`, `MetaABMActPackage.getALiteral()`

### getAMultiValue

    public org.eclipse.emf.ecore.EClass getAMultiValue()

  Specified by:
    `getAMultiValue` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AMulti Value'.
  See Also:
    `AMultiValue`

### getAMultiValue_Values

    public org.eclipse.emf.ecore.EReference getAMultiValue_Values()

  Specified by:
    `getAMultiValue_Values` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference list 'Values'.
  See Also:
    `AMultiValue.getValues()`, `MetaABMActPackage.getAMultiValue()`

### getAAct

    public org.eclipse.emf.ecore.EClass getAAct()

  Specified by:
    `getAAct` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AAct'.
  See Also:
    `AAct`

### getAAct_Sources

    public org.eclipse.emf.ecore.EReference getAAct_Sources()

  Specified by:
    `getAAct_Sources` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference list 'Sources'.
  See Also:
    `AAct.getSources()`, `MetaABMActPackage.getAAct()`

### getAAct_Targets

    public org.eclipse.emf.ecore.EReference getAAct_Targets()

  Specified by:
    `getAAct_Targets` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference list 'Targets'.
  See Also:
    `AAct.getTargets()`, `MetaABMActPackage.getAAct()`

### getAAct_Reference

    public org.eclipse.emf.ecore.EReference getAAct_Reference()

  Specified by:
    `getAAct_Reference` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Reference'.
  See Also:
    `AAct.getReference()`, `MetaABMActPackage.getAAct()`

### getAAct_Group

    public org.eclipse.emf.ecore.EReference getAAct_Group()

  Specified by:
    `getAAct_Group` in interface `MetaABMActPackage`
  Returns:
    the meta object for the container reference 'Group'.
  See Also:
    `AAct.getGroup()`, `MetaABMActPackage.getAAct()`

### getAAct_Selected

    public org.eclipse.emf.ecore.EReference getAAct_Selected()

  Specified by:
    `getAAct_Selected` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Selected'.
  See Also:
    `AAct.getSelected()`, `MetaABMActPackage.getAAct()`

### getAAct_AllSources

    public org.eclipse.emf.ecore.EReference getAAct_AllSources()

  Specified by:
    `getAAct_AllSources` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference list 'All Sources'.
  See Also:
    `AAct.getAllSources()`, `MetaABMActPackage.getAAct()`

### getAAct_AllTargets

    public org.eclipse.emf.ecore.EReference getAAct_AllTargets()

  Specified by:
    `getAAct_AllTargets` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference list 'All Targets'.
  See Also:
    `AAct.getAllTargets()`, `MetaABMActPackage.getAAct()`

### getAAct_RootSelected

    public org.eclipse.emf.ecore.EReference getAAct_RootSelected()

  Specified by:
    `getAAct_RootSelected` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Root Selected'.
  See Also:
    `AAct.getRootSelected()`, `MetaABMActPackage.getAAct()`

### getAControl

    public org.eclipse.emf.ecore.EClass getAControl()

  Specified by:
    `getAControl` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AControl'.
  See Also:
    `AControl`

### getARoot

    public org.eclipse.emf.ecore.EClass getARoot()

  Specified by:
    `getARoot` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ARoot'.
  See Also:
    `ARoot`

### getAGroup

    public org.eclipse.emf.ecore.EClass getAGroup()

  Specified by:
    `getAGroup` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AGroup'.
  See Also:
    `AGroup`

### getAGroup_Roots

    public org.eclipse.emf.ecore.EReference getAGroup_Roots()

  Specified by:
    `getAGroup_Roots` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference list 'Roots'.
  See Also:
    `AGroup.getRoots()`, `MetaABMActPackage.getAGroup()`

### getAGroup_Members

    public org.eclipse.emf.ecore.EReference getAGroup_Members()

  Specified by:
    `getAGroup_Members` in interface `MetaABMActPackage`
  Returns:
    the meta object for the containment reference list 'Members'.
  See Also:
    `AGroup.getMembers()`, `MetaABMActPackage.getAGroup()`

### getASchedule

    public org.eclipse.emf.ecore.EClass getASchedule()

  Specified by:
    `getASchedule` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ASchedule'.
  See Also:
    `ASchedule`

### getASchedule_Start

    public org.eclipse.emf.ecore.EAttribute getASchedule_Start()

  Specified by:
    `getASchedule_Start` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Start'.
  See Also:
    `ASchedule.getStart()`, `MetaABMActPackage.getASchedule()`

### getASchedule_Interval

    public org.eclipse.emf.ecore.EAttribute getASchedule_Interval()

  Specified by:
    `getASchedule_Interval` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Interval'.
  See Also:
    `ASchedule.getInterval()`, `MetaABMActPackage.getASchedule()`

### getASchedule_Priority

    public org.eclipse.emf.ecore.EAttribute getASchedule_Priority()

  Specified by:
    `getASchedule_Priority` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Priority'.
  See Also:
    `ASchedule.getPriority()`, `MetaABMActPackage.getASchedule()`

### getASchedule_Pick

    public org.eclipse.emf.ecore.EAttribute getASchedule_Pick()

  Specified by:
    `getASchedule_Pick` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Pick'.
  See Also:
    `ASchedule.getPick()`, `MetaABMActPackage.getASchedule()`

### getARule

    public org.eclipse.emf.ecore.EClass getARule()

  Specified by:
    `getARule` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ARule'.
  See Also:
    `ARule`

### getABuild

    public org.eclipse.emf.ecore.EClass getABuild()

  Specified by:
    `getABuild` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ABuild'.
  See Also:
    `ABuild`

### getAInitialize

    public org.eclipse.emf.ecore.EClass getAInitialize()

  Specified by:
    `getAInitialize` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AInitialize'.
  See Also:
    `AInitialize`

### getAMethod

    public org.eclipse.emf.ecore.EClass getAMethod()

  Specified by:
    `getAMethod` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AMethod'.
  See Also:
    `AMethod`

### getAMethod_Body

    public org.eclipse.emf.ecore.EAttribute getAMethod_Body()

  Specified by:
    `getAMethod_Body` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `AMethod.getBody()`, `MetaABMActPackage.getAMethod()`

### getAMethod_Generate

    public org.eclipse.emf.ecore.EAttribute getAMethod_Generate()

  Specified by:
    `getAMethod_Generate` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Generate'.
  See Also:
    `AMethod.isGenerate()`, `MetaABMActPackage.getAMethod()`

### getASink

    public org.eclipse.emf.ecore.EClass getASink()

  Specified by:
    `getASink` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ASink'.
  See Also:
    `ASink`

### getASink_Inputs

    public org.eclipse.emf.ecore.EReference getASink_Inputs()

  Specified by:
    `getASink_Inputs` in interface `MetaABMActPackage`
  Returns:
    the meta object for the containment reference list 'Inputs'.
  See Also:
    `ASink.getInputs()`, `MetaABMActPackage.getASink()`

### getASink_Function

    public org.eclipse.emf.ecore.EReference getASink_Function()

  Specified by:
    `getASink_Function` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Function'.
  See Also:
    `ASink.getFunction()`, `MetaABMActPackage.getASink()`

### getALogic

    public org.eclipse.emf.ecore.EClass getALogic()

  Specified by:
    `getALogic` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ALogic'.
  See Also:
    `ALogic`

### getAAny

    public org.eclipse.emf.ecore.EClass getAAny()

  Specified by:
    `getAAny` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AAny'.
  See Also:
    `AAny`

### getAAll

    public org.eclipse.emf.ecore.EClass getAAll()

  Specified by:
    `getAAll` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AAll'.
  See Also:
    `AAll`

### getANone

    public org.eclipse.emf.ecore.EClass getANone()

  Specified by:
    `getANone` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ANone'.
  See Also:
    `ANone`

### getAQuery

    public org.eclipse.emf.ecore.EClass getAQuery()

  Specified by:
    `getAQuery` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AQuery'.
  See Also:
    `AQuery`

### getAEvaluate

    public org.eclipse.emf.ecore.EClass getAEvaluate()

  Specified by:
    `getAEvaluate` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AEvaluate'.
  See Also:
    `AEvaluate`

### getAAccessor

    public org.eclipse.emf.ecore.EClass getAAccessor()

  Specified by:
    `getAAccessor` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AAccessor'.
  See Also:
    `AAccessor`

### getAAccessor_Attribute

    public org.eclipse.emf.ecore.EReference getAAccessor_Attribute()

  Specified by:
    `getAAccessor_Attribute` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `AAccessor.getAttribute()`, `MetaABMActPackage.getAAccessor()`

### getAWatch

    public org.eclipse.emf.ecore.EClass getAWatch()

  Specified by:
    `getAWatch` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AWatch'.
  See Also:
    `AWatch`

### getASet

    public org.eclipse.emf.ecore.EClass getASet()

  Specified by:
    `getASet` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ASet'.
  See Also:
    `ASet`

### getASet_Parameter

    public org.eclipse.emf.ecore.EReference getASet_Parameter()

  Specified by:
    `getASet_Parameter` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Parameter'.
  See Also:
    `ASet.getParameter()`, `MetaABMActPackage.getASet()`

### getACreateAgents

    public org.eclipse.emf.ecore.EClass getACreateAgents()

  Specified by:
    `getACreateAgents` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ACreate Agents'.
  See Also:
    `ACreateAgents`

### getACreateAgents_AgentCount

    public org.eclipse.emf.ecore.EReference getACreateAgents_AgentCount()

  Specified by:
    `getACreateAgents_AgentCount` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Agent Count'.
  See Also:
    `ACreateAgents.getAgentCount()`, `MetaABMActPackage.getACreateAgents()`

### getABuildProjection

    public org.eclipse.emf.ecore.EClass getABuildProjection()

  Specified by:
    `getABuildProjection` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ABuild Projection'.
  See Also:
    `ABuildProjection`

### getABuildProjection_Agents

    public org.eclipse.emf.ecore.EReference getABuildProjection_Agents()

  Specified by:
    `getABuildProjection_Agents` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference list 'Agents'.
  See Also:
    `ABuildProjection.getAgents()`, `MetaABMActPackage.getABuildProjection()`

### getABuildProjection_Projection

    public org.eclipse.emf.ecore.EReference getABuildProjection_Projection()

  Specified by:
    `getABuildProjection_Projection` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Projection'.
  See Also:
    `ABuildProjection.getProjection()`, `MetaABMActPackage.getABuildProjection()`

### getABuildProjection_Attributes

    public org.eclipse.emf.ecore.EReference getABuildProjection_Attributes()

  Specified by:
    `getABuildProjection_Attributes` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference list 'Attributes'.
  See Also:
    `ABuildProjection.getAttributes()`, `MetaABMActPackage.getABuildProjection()`

### getABuildNetwork

    public org.eclipse.emf.ecore.EClass getABuildNetwork()

  Specified by:
    `getABuildNetwork` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ABuild Network'.
  See Also:
    `ABuildNetwork`

### getABuildNetwork_NetworkType

    public org.eclipse.emf.ecore.EAttribute getABuildNetwork_NetworkType()

  Specified by:
    `getABuildNetwork_NetworkType` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Network Type'.
  See Also:
    `ABuildNetwork.getNetworkType()`, `MetaABMActPackage.getABuildNetwork()`

### getABuildSpace

    public org.eclipse.emf.ecore.EClass getABuildSpace()

  Specified by:
    `getABuildSpace` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ABuild Space'.
  See Also:
    `ABuildSpace`

### getABuildSpace_SpaceType

    public org.eclipse.emf.ecore.EAttribute getABuildSpace_SpaceType()

  Specified by:
    `getABuildSpace_SpaceType` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Space Type'.
  See Also:
    `ABuildSpace.getSpaceType()`, `MetaABMActPackage.getABuildSpace()`

### getABuildGeography

    public org.eclipse.emf.ecore.EClass getABuildGeography()

  Specified by:
    `getABuildGeography` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ABuild Geography'.
  See Also:
    `ABuildGeography`

### getABuildGrid

    public org.eclipse.emf.ecore.EClass getABuildGrid()

  Specified by:
    `getABuildGrid` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ABuild Grid'.
  See Also:
    `ABuildGrid`

### getABuildGrid_FillAgent

    public org.eclipse.emf.ecore.EReference getABuildGrid_FillAgent()

  Specified by:
    `getABuildGrid_FillAgent` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Fill Agent'.
  See Also:
    `ABuildGrid.getFillAgent()`, `MetaABMActPackage.getABuildGrid()`

### getASelect

    public org.eclipse.emf.ecore.EClass getASelect()

  Specified by:
    `getASelect` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ASelect'.
  See Also:
    `ASelect`

### getASelect_Agent

    public org.eclipse.emf.ecore.EReference getASelect_Agent()

  Specified by:
    `getASelect_Agent` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Agent'.
  See Also:
    `ASelect.getAgent()`, `MetaABMActPackage.getASelect()`

### getASelect_Space

    public org.eclipse.emf.ecore.EReference getASelect_Space()

  Specified by:
    `getASelect_Space` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Space'.
  See Also:
    `ASelect.getSpace()`, `MetaABMActPackage.getASelect()`

### getASelect_For

    public org.eclipse.emf.ecore.EAttribute getASelect_For()

  Specified by:
    `getASelect_For` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'For'.
  See Also:
    `ASelect.getFor()`, `MetaABMActPackage.getASelect()`

### getAMove

    public org.eclipse.emf.ecore.EClass getAMove()

  Specified by:
    `getAMove` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AMove'.
  See Also:
    `AMove`

### getATransform

    public org.eclipse.emf.ecore.EClass getATransform()

  Specified by:
    `getATransform` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ATransform'.
  See Also:
    `ATransform`

### getATransform_Destination

    public org.eclipse.emf.ecore.EReference getATransform_Destination()

  Specified by:
    `getATransform_Destination` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Destination'.
  See Also:
    `ATransform.getDestination()`, `MetaABMActPackage.getATransform()`

### getALeave

    public org.eclipse.emf.ecore.EClass getALeave()

  Specified by:
    `getALeave` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ALeave'.
  See Also:
    `ALeave`

### getADie

    public org.eclipse.emf.ecore.EClass getADie()

  Specified by:
    `getADie` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ADie'.
  See Also:
    `ADie`

### getAConnect

    public org.eclipse.emf.ecore.EClass getAConnect()

  Specified by:
    `getAConnect` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AConnect'.
  See Also:
    `AConnect`

### getAConnect_Directed

    public org.eclipse.emf.ecore.EAttribute getAConnect_Directed()

  Specified by:
    `getAConnect_Directed` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Directed'.
  See Also:
    `AConnect.isDirected()`, `MetaABMActPackage.getAConnect()`

### getANetwork

    public org.eclipse.emf.ecore.EClass getANetwork()

  Specified by:
    `getANetwork` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ANetwork'.
  See Also:
    `ANetwork`

### getANetwork_Within

    public org.eclipse.emf.ecore.EReference getANetwork_Within()

  Specified by:
    `getANetwork_Within` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Within'.
  See Also:
    `ANetwork.getWithin()`, `MetaABMActPackage.getANetwork()`

### getADisconnect

    public org.eclipse.emf.ecore.EClass getADisconnect()

  Specified by:
    `getADisconnect` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ADisconnect'.
  See Also:
    `ADisconnect`

### getAReplace

    public org.eclipse.emf.ecore.EClass getAReplace()

  Specified by:
    `getAReplace` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AReplace'.
  See Also:
    `AReplace`

### getACommand

    public org.eclipse.emf.ecore.EClass getACommand()

  Specified by:
    `getACommand` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ACommand'.
  See Also:
    `ACommand`

### getACause

    public org.eclipse.emf.ecore.EClass getACause()

  Specified by:
    `getACause` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ACause'.
  See Also:
    `ACause`

### getACause_Result

    public org.eclipse.emf.ecore.EReference getACause_Result()

  Specified by:
    `getACause_Result` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Result'.
  See Also:
    `ACause.getResult()`, `MetaABMActPackage.getACause()`

### getADiffuse

    public org.eclipse.emf.ecore.EClass getADiffuse()

  Specified by:
    `getADiffuse` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ADiffuse'.
  See Also:
    `ADiffuse`

### getADiffuse_Diffused

    public org.eclipse.emf.ecore.EReference getADiffuse_Diffused()

  Specified by:
    `getADiffuse_Diffused` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Diffused'.
  See Also:
    `ADiffuse.getDiffused()`, `MetaABMActPackage.getADiffuse()`

### getADiffuse_DiffusionRate

    public org.eclipse.emf.ecore.EReference getADiffuse_DiffusionRate()

  Specified by:
    `getADiffuse_DiffusionRate` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Diffusion Rate'.
  See Also:
    `ADiffuse.getDiffusionRate()`, `MetaABMActPackage.getADiffuse()`

### getADiffuse_EvaporationRate

    public org.eclipse.emf.ecore.EReference getADiffuse_EvaporationRate()

  Specified by:
    `getADiffuse_EvaporationRate` in interface `MetaABMActPackage`
  Returns:
    the meta object for the reference 'Evaporation Rate'.
  See Also:
    `ADiffuse.getEvaporationRate()`, `MetaABMActPackage.getADiffuse()`

### getAPerform

    public org.eclipse.emf.ecore.EClass getAPerform()

  Specified by:
    `getAPerform` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'APerform'.
  See Also:
    `APerform`

### getADerive

    public org.eclipse.emf.ecore.EClass getADerive()

  Specified by:
    `getADerive` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ADerive'.
  See Also:
    `ADerive`

### getAShaped

    public org.eclipse.emf.ecore.EClass getAShaped()

  Specified by:
    `getAShaped` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'AShaped'.
  See Also:
    `AShaped`

### getAShaped_Shape

    public org.eclipse.emf.ecore.EAttribute getAShaped_Shape()

  Specified by:
    `getAShaped_Shape` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Shape'.
  See Also:
    `AShaped.getShape()`, `MetaABMActPackage.getAShaped()`

### getALoadShapedAgents

    public org.eclipse.emf.ecore.EClass getALoadShapedAgents()

  Specified by:
    `getALoadShapedAgents` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ALoad Shaped Agents'.
  See Also:
    `ALoadShapedAgents`

### getACreateShapedAgents

    public org.eclipse.emf.ecore.EClass getACreateShapedAgents()

  Specified by:
    `getACreateShapedAgents` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ACreate Shaped Agents'.
  See Also:
    `ACreateShapedAgents`

### getALoadAgents

    public org.eclipse.emf.ecore.EClass getALoadAgents()

  Specified by:
    `getALoadAgents` in interface `MetaABMActPackage`
  Returns:
    the meta object for class 'ALoad Agents'.
  See Also:
    `ALoadAgents`

### getALoadAgents_SourceURL

    public org.eclipse.emf.ecore.EAttribute getALoadAgents_SourceURL()

  Specified by:
    `getALoadAgents_SourceURL` in interface `MetaABMActPackage`
  Returns:
    the meta object for the attribute 'Source URL'.
  See Also:
    `ALoadAgents.getSourceURL()`, `MetaABMActPackage.getALoadAgents()`

### getABuildSpaceTypes

    public org.eclipse.emf.ecore.EEnum getABuildSpaceTypes()

  Specified by:
    `getABuildSpaceTypes` in interface `MetaABMActPackage`
  Returns:
    the meta object for enum 'ABuild Space Types'.
  See Also:
    `ABuildSpaceTypes`

### getABuildNetworkTypes

    public org.eclipse.emf.ecore.EEnum getABuildNetworkTypes()

  Specified by:
    `getABuildNetworkTypes` in interface `MetaABMActPackage`
  Returns:
    the meta object for enum 'ABuild Network Types'.
  See Also:
    `ABuildNetworkTypes`

### getASelectTypes

    public org.eclipse.emf.ecore.EEnum getASelectTypes()

  Specified by:
    `getASelectTypes` in interface `MetaABMActPackage`
  Returns:
    the meta object for enum 'ASelect Types'.
  See Also:
    `ASelectTypes`

### getMetaABMActFactory

    public MetaABMActFactory getMetaABMActFactory()

  Specified by:
    `getMetaABMActFactory` in interface `MetaABMActPackage`
  Returns:
    the factory that creates the instances of the model.

### fixPackageContents

    public void fixPackageContents()

  Fixes up the loaded package, to make it appear as if it had been programmatically built.

### fixInstanceClass

    protected void fixInstanceClass(org.eclipse.emf.ecore.EClassifier eClassifier)

  Sets the instance class on the given classifier.

  Overrides:
    `fixInstanceClass` in class `org.eclipse.emf.ecore.impl.EPackageImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD